<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : tp_emplode $
 * $Revision: 1.0 $
 * 
 * Theme for pragmaMx Content Management System Platform<br>- HTML5 ready <br>
* 
 * $Author: TECMU $
 * $Date: 2014-11-14 10:06:31 $
 */ 

/* diese Zeile nicht ändern!! */
defined('mxMainFileLoaded') or die('access denied');
global $mxConf;
global $themesetting;




/* folgendes nur, wenn Module geladen */
if (defined('MX_MODULE')) {

    /* Hilfsvariablen für das SMF-Forum */
    global $context; // vom SMF
    $current_action = isset($context['current_action']) ? $context['current_action'] : false;

    /**
     * Seiten, bei denen, die linken Blöcke nicht gezeigt werden sollen
     */
    $themesetting['hide-left'] = array(/* Seiten/Module */
        // MX_MODULE == 'Downloads',
		
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );

    /**
     * Seiten, bei denen, keine Blöcke gezeigt werden sollen
     */
    $themesetting['hide-both'] = array(/* Seiten/Module */
		MX_MODULE == 'Board',
        MX_MODULE == 'admin',
        MX_MODULE == 'Forum',
        MX_MODULE == 'Gallery',
		MX_MODULE == 'Your_Account',
		MX_MODULE == 'Userinfo',
		MX_MODULE == 'Private_Messages',
        MX_MODULE == 'Schedule'&& (isset($_REQUEST['act'])) && $_REQUEST['act']=='myevents',
        MX_MODULE == 'SiriusGallery' && (isset($_REQUEST['act'])) && $_REQUEST['act']=='mygallery',
		MX_MODULE == 'Board' && (isset($_REQUEST['file'])) && $_REQUEST['file']=='member',
        //MX_MODULE == 'Forum'&& (isset($_REQUEST['action'])) && $_REQUEST['action']=='profile',
        //MX_MODULE == 'Forum'&& (isset($_REQUEST['action'])) && $_REQUEST['action']=='pm',
		
        // weitere Beispiele:
        // MX_MODULE === 'SiriusGallery',
        // MX_MODULE == 'Downloads' && $_REQUEST['cid'] == 61, // Downloads, Kategorie 61
        // $_REQUEST['name'] == 'Content' && $_REQUEST['pid'] == 28, // Contentmodul Id 28
        );

    /**
     * den Perex verwenden?
     * Der einzelne graue Block ber dem Inhalt, wird aus den Daten des ersten
     * unteren Centerblocks erstellt.
     * true = an, false = aus
     */
    $themesetting['perex'] = $perex2;
}
/* Ende nur Module */



/**
 * Standardfarben die im System und den Modulen verwendet werden
 * ACHTUNG!! Diese Farben werden durch die colors.php, des jeweiligen Designs ueberschrieben
 */

/* */
global $bgcolor1;
$bgcolor1 = "#edede3";
global $bgcolor2;
$bgcolor2 = "#d1d1b8";
global $bgcolor3;
$bgcolor3 = "#d1d1b8";
global $bgcolor4;
$bgcolor4 = "#edede3";
global $textcolor1;
$textcolor1 = "#3b3830";
global $textcolor2;
$textcolor2 = "#313120";
global $textcolor3;
$textcolor3 = "#464239"; 

global $textcolor4; 
$textcolor4 = "#736d5e"; 


/**
 * folgende Einstellungen sollten nicht verändert werden
 */

/* Modul-Blöcke im passenden Design anzeigen */
$themesetting['blocknav']['style'] = 'vmenu';
$themesetting['blocknav']['current'] = 'active';

/* definieren ob die Templates des Themes gecached werden können */
define('MX_THEME_CACHABLE', true);

/* Dateiname des templates */
define('MX_THIS_THEMEFILE', 'theme.html');

?>
